/**
 * Program Name: GetFileBean.java
 * Comments: Provides convenience methods for displaying an ASCII text file.
 * Assumes that the file is under the /WEB-INF directory of the calling
 * context.
 */

package extensions.generic;

import java.io.*;

public class GetFileBean {
    BufferedReader bin;
    PrintWriter out;
    String rootDir="";
    String fileName;

    public GetFileBean(){	
    }
    
    public String fileToString(String fileName){
	String s;
	fileName=rootDir+fileName;
	String fileString=" ";
	try {
	    bin=new BufferedReader(new FileReader(fileName));
	    while((s=bin.readLine())!=null) {
		fileString+=s+"\n";
	    }
	}
	catch (Exception ex) {
	    System.out.println("Error opening file");
	    ex.printStackTrace();
	}
	return fileString;
    }
    
    /**
     * This method probably needs to be checked for compatibility 
     * between DOS and Unix.  
     */
    public void stringToFile(String scriptString, String fileName) {
	fileName=rootDir+fileName;
	try {
	    out=new PrintWriter(new FileWriter(fileName));
	    out.print(scriptString);
	    out.flush();
	    out.close();
	}
	catch (Exception ex) {
	    System.out.println("Can't open file for writing");
	    ex.printStackTrace();
	    out.flush();
	    out.close();
	}
    }
    public void setRootDir(String rootDir){
	this.rootDir=rootDir;
    }

    public String getRootDir(){
	return rootDir;
    }

}

